Package com.evopdf

# Class ImpersonationOptions

java.lang.Object
com.evopdf.ImpersonationOptions

public class ImpersonationOptions extends Object
This class encapsulates the options to control the HTML converter impersonation during navigation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImpersonationOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `currentUserImpersonation()`
  Gets the flag indicating if the converter should impersonate the HTML to PDF server user account during navigation.
  `String`
  `domain()`
  Gets the user Windows domain name.
  `ImpersonationLogonMode`
  `logonMode()`
  Gets the logon mode of the user before navigation.
  `String`
  `password()`
  Gets the password of the user specified by `username()` and `domain()` properties.
  `void`
  `setCurrentUserImpersonation(boolean impersonate)`
  Sets the flag indicating if the converter should impersonate the HTML to PDF server user account during navigation.
  `void`
  `setDomain(String domain)`
  Sets the user Windows domain name.
  `void`
  `setLogonMode(ImpersonationLogonMode logonMode)`
  Sets the logon mode of the user before navigation.
  `void`
  `setPassword(String password)`
  Sets the password of the user specified by `username()` and `domain()` properties.
  `void`
  `setUsername(String username)`
  Sets the name of the user to logon before navigation.
  `String`
  `username()`
  Gets the name of the user to logon before navigation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImpersonationOptions

    public ImpersonationOptions()

- ## Method Details

  - ### currentUserImpersonation

    public boolean currentUserImpersonation()
    Gets the flag indicating if the converter should impersonate the HTML to PDF server user account during navigation.
    Returns:
      the flag value

  - ### setCurrentUserImpersonation

    public void setCurrentUserImpersonation(boolean impersonate)
    Sets the flag indicating if the converter should impersonate the HTML to PDF server user account during navigation. By default this property is false.
    Parameters:
      `impersonate` - the flag value to set

  - ### username

    public String username()
    Gets the name of the user to logon before navigation.
    Returns:
      the username to use for impersonation

  - ### setUsername

    public void setUsername(String username)
    Sets the name of the user to logon before navigation. The `domain()` and `password()` properties must also be set. This property has priority over the `currentUserImpersonation()` property.
    Parameters:
      `username` - the username to set

  - ### domain

    public String domain()
    Gets the user Windows domain name.
    Returns:
      the user Windows domain

  - ### setDomain

    public void setDomain(String domain)
    Sets the user Windows domain name. This property together with `username()` property define the user to logon before navigation. If the user is not part of a Windows domain the machine name can be used. By default this property is not set.
    Parameters:
      `domain` - the user Windows domain to set

  - ### password

    public String password()
    Gets the password of the user specified by `username()` and `domain()` properties.
    Returns:
      the user password

  - ### setPassword

    public void setPassword(String password)
    Sets the password of the user specified by `username()` and `domain()` properties. By default this property is not set.
    Parameters:
      `password` - the user password to set

  - ### logonMode

    public ImpersonationLogonMode logonMode()
    Gets the logon mode of the user before navigation.
    Returns:
      the logon mode

  - ### setLogonMode

    public void setLogonMode(ImpersonationLogonMode logonMode)
    Sets the logon mode of the user before navigation. This property has effect only when a username for impersonation is specified. The default logon mode is explicit.
    Parameters:
      `logonMode` - the logon mode to use